| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Size interface
Vector Conversions » Shift-Round-Saturate

## Shift/round/saturate 32-bit accumulator to 8-bit vector with dynamic sign selection
shft parameter is in the range of -4 to 59 sign parameter can be used to dynamically change the sign of the SRS conversion.
v32int8 | to_v32int8 (v32acc32 acc, int shft, int sign)
v32int8 | to_v32int8_conf (v32acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v32uint8 | to_v32uint8 (v32acc32 acc, int shft, int sign)
v32uint8 | to_v32uint8_conf (v32acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v64int8 | to_v64int8 (v64acc32 acc, int shft, int sign)
v64int8 | to_v64int8_conf (v64acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v64uint8 | to_v64uint8 (v64acc32 acc, int shft, int sign)
v64uint8 | to_v64uint8_conf (v64acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v32int8 | srs_to_v32int8 (v32acc32 acc, int shft, int sign)
v32int8 | srs_to_v32int8_conf (v32acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v32uint8 | srs_to_v32uint8 (v32acc32 acc, int shft, int sign)
v32uint8 | srs_to_v32uint8_conf (v32acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v64int8 | srs_to_v64int8 (v64acc32 acc, int shft, int sign)
v64int8 | srs_to_v64int8_conf (v64acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v64uint8 | srs_to_v64uint8 (v64acc32 acc, int shft, int sign)
v64uint8 | srs_to_v64uint8_conf (v64acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)

## Shift/round/saturate 32-bit accumulator to 16-bit vector with dynamic sign selection
shft parameter is in the range of -4 to 59 sign parameter can be used to dynamically change the sign of the SRS conversion.
v32int16 | to_v32int16 (v32acc32 acc, int shft, int sign)
v32int16 | to_v32int16_conf (v32acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v32uint16 | to_v32uint16 (v32acc32 acc, int shft, int sign)
v32uint16 | to_v32uint16_conf (v32acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v16int16 | to_v16int16 (v16acc32 acc, int shft, int sign)
v16int16 | to_v16int16_conf (v16acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v16uint16 | to_v16uint16 (v16acc32 acc, int shft, int sign)
v16uint16 | to_v16uint16_conf (v16acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v32int16 | srs_to_v32int16 (v32acc32 acc, int shft, int sign)
v32int16 | srs_to_v32int16_conf (v32acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v32uint16 | srs_to_v32uint16 (v32acc32 acc, int shft, int sign)
v32uint16 | srs_to_v32uint16_conf (v32acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v16int16 | srs_to_v16int16 (v16acc32 acc, int shft, int sign)
v16int16 | srs_to_v16int16_conf (v16acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v16uint16 | srs_to_v16uint16 (v16acc32 acc, int shft, int sign)
v16uint16 | srs_to_v16uint16_conf (v16acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)

## Shift/round/saturate 64-bit accumulator to 16-bit vector with dynamic sign selection
shft parameter is in the range of -4 to 59 sign parameter can be used to dynamically change the sign of the SRS conversion.
v16int16 | to_v16int16 (v16acc64 acc, int shft, int sign)
v16int16 | to_v16int16_conf (v16acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v16uint16 | to_v16uint16 (v16acc64 acc, int shft, int sign)
v16uint16 | to_v16uint16_conf (v16acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v8cint16 | to_v8cint16 (v8cacc64 acc, int shft, int sign)
v8cint16 | to_v8cint16_conf (v8cacc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v32int16 | to_v32int16 (v32acc64 acc, int shft, int sign)
v32int16 | to_v32int16_conf (v32acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v32uint16 | to_v32uint16 (v32acc64 acc, int shft, int sign)
v32uint16 | to_v32uint16_conf (v32acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v16cint16 | to_v16cint16 (v16cacc64 acc, int shft, int sign)
v16cint16 | to_v16cint16_conf (v16cacc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v16int16 | srs_to_v16int16 (v16acc64 acc, int shft, int sign)
v16int16 | srs_to_v16int16_conf (v16acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v16uint16 | srs_to_v16uint16 (v16acc64 acc, int shft, int sign)
v16uint16 | srs_to_v16uint16_conf (v16acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v8cint16 | srs_to_v8cint16 (v8cacc64 acc, int shft, int sign)
v8cint16 | srs_to_v8cint16_conf (v8cacc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v32int16 | srs_to_v32int16 (v32acc64 acc, int shft, int sign)
v32int16 | srs_to_v32int16_conf (v32acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v32uint16 | srs_to_v32uint16 (v32acc64 acc, int shft, int sign)
v32uint16 | srs_to_v32uint16_conf (v32acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v16cint16 | srs_to_v16cint16 (v16cacc64 acc, int shft, int sign)
v16cint16 | srs_to_v16cint16_conf (v16cacc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)

## Shift/round/saturate 64-bit accumulator to 32-bit vector with dynamic sign selection
shft parameter is in the range of -4 to 59 sign parameter can be used to dynamically change the sign of the SRS conversion.
v16int32 | to_v16int32 (v16acc64 acc, int shft, int sign)
v16int32 | to_v16int32_conf (v16acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v16uint32 | to_v16uint32 (v16acc64 acc, int shft, int sign)
v16uint32 | to_v16uint32_conf (v16acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v8cint32 | to_v8cint32 (v8cacc64 acc, int shft, int sign)
v8cint32 | to_v8cint32_conf (v8cacc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v8int32 | to_v8int32 (v8acc64 acc, int shft, int sign)
v8int32 | to_v8int32_conf (v8acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v8uint32 | to_v8uint32 (v8acc64 acc, int shft, int sign)
v8uint32 | to_v8uint32_conf (v8acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v4cint32 | to_v4cint32 (v4cacc64 acc, int shft, int sign)
v4cint32 | to_v4cint32_conf (v4cacc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v16int32 | srs_to_v16int32 (v16acc64 acc, int shft, int sign)
v16int32 | srs_to_v16int32_conf (v16acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v16uint32 | srs_to_v16uint32 (v16acc64 acc, int shft, int sign)
v16uint32 | srs_to_v16uint32_conf (v16acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v8cint32 | srs_to_v8cint32 (v8cacc64 acc, int shft, int sign)
v8cint32 | srs_to_v8cint32_conf (v8cacc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v8int32 | srs_to_v8int32 (v8acc64 acc, int shft, int sign)
v8int32 | srs_to_v8int32_conf (v8acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v8uint32 | srs_to_v8uint32 (v8acc64 acc, int shft, int sign)
v8uint32 | srs_to_v8uint32_conf (v8acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v4cint32 | srs_to_v4cint32 (v4cacc64 acc, int shft, int sign)
v4cint32 | srs_to_v4cint32_conf (v4cacc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)

## Shift/round/saturate 32-bit accumulator to 8-bit vector
shft parameter is in the range of -4 to 59
v32int8 | to_v32int8 (v32acc32 acc, int shft)
v32int8 | to_v32int8_conf (v32acc32 acc, int shft, crsat_t sat, crrnd_t rnd)
v32uint8 | to_v32uint8 (v32acc32 acc, int shft)
v32uint8 | to_v32uint8_conf (v32acc32 acc, int shft, crsat_t sat, crrnd_t rnd)
v64int8 | to_v64int8 (v64acc32 acc, int shft)
v64int8 | to_v64int8_conf (v64acc32 acc, int shft, crsat_t sat, crrnd_t rnd)
v64uint8 | to_v64uint8 (v64acc32 acc, int shft)
v64uint8 | to_v64uint8_conf (v64acc32 acc, int shft, crsat_t sat, crrnd_t rnd)
v32int8 | srs_to_v32int8 (v32acc32 acc, int shft)
v32int8 | srs_to_v32int8_conf (v32acc32 acc, int shft, crsat_t sat, crrnd_t rnd)
v32uint8 | srs_to_v32uint8 (v32acc32 acc, int shft)
v32uint8 | srs_to_v32uint8_conf (v32acc32 acc, int shft, crsat_t sat, crrnd_t rnd)
v64int8 | srs_to_v64int8 (v64acc32 acc, int shft)
v64int8 | srs_to_v64int8_conf (v64acc32 acc, int shft, crsat_t sat, crrnd_t rnd)
v64uint8 | srs_to_v64uint8 (v64acc32 acc, int shft)
v64uint8 | srs_to_v64uint8_conf (v64acc32 acc, int shft, crsat_t sat, crrnd_t rnd)

## Shift/round/saturate 32-bit accumulator to 16-bit vector
shft parameter is in the range of -4 to 59
v32int16 | to_v32int16 (v32acc32 acc, int shft)
v32int16 | to_v32int16_conf (v32acc32 acc, int shft, crsat_t sat, crrnd_t rnd)
v32uint16 | to_v32uint16 (v32acc32 acc, int shft)
v32uint16 | to_v32uint16_conf (v32acc32 acc, int shft, crsat_t sat, crrnd_t rnd)
v16int16 | to_v16int16 (v16acc32 acc, int shft)
v16int16 | to_v16int16_conf (v16acc32 acc, int shft, crsat_t sat, crrnd_t rnd)
v16uint16 | to_v16uint16 (v16acc32 acc, int shft)
v16uint16 | to_v16uint16_conf (v16acc32 acc, int shft, crsat_t sat, crrnd_t rnd)
v32int16 | srs_to_v32int16 (v32acc32 acc, int shft)
v32int16 | srs_to_v32int16_conf (v32acc32 acc, int shft, crsat_t sat, crrnd_t rnd)
v32uint16 | srs_to_v32uint16 (v32acc32 acc, int shft)
v32uint16 | srs_to_v32uint16_conf (v32acc32 acc, int shft, crsat_t sat, crrnd_t rnd)
v16int16 | srs_to_v16int16 (v16acc32 acc, int shft)
v16int16 | srs_to_v16int16_conf (v16acc32 acc, int shft, crsat_t sat, crrnd_t rnd)
v16uint16 | srs_to_v16uint16 (v16acc32 acc, int shft)
v16uint16 | srs_to_v16uint16_conf (v16acc32 acc, int shft, crsat_t sat, crrnd_t rnd)

## Shift/round/saturate 64-bit accumulator to 16-bit vector
shft parameter is in the range of -4 to 59
v16int16 | to_v16int16 (v16acc64 acc, int shft)
v16int16 | to_v16int16_conf (v16acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v16uint16 | to_v16uint16 (v16acc64 acc, int shft)
v16uint16 | to_v16uint16_conf (v16acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v8cint16 | to_v8cint16 (v8cacc64 acc, int shft)
v8cint16 | to_v8cint16_conf (v8cacc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v32int16 | to_v32int16 (v32acc64 acc, int shft)
v32int16 | to_v32int16_conf (v32acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v32uint16 | to_v32uint16 (v32acc64 acc, int shft)
v32uint16 | to_v32uint16_conf (v32acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v16cint16 | to_v16cint16 (v16cacc64 acc, int shft)
v16cint16 | to_v16cint16_conf (v16cacc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v16int16 | srs_to_v16int16 (v16acc64 acc, int shft)
v16int16 | srs_to_v16int16_conf (v16acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v16uint16 | srs_to_v16uint16 (v16acc64 acc, int shft)
v16uint16 | srs_to_v16uint16_conf (v16acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v8cint16 | srs_to_v8cint16 (v8cacc64 acc, int shft)
v8cint16 | srs_to_v8cint16_conf (v8cacc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v32int16 | srs_to_v32int16 (v32acc64 acc, int shft)
v32int16 | srs_to_v32int16_conf (v32acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v32uint16 | srs_to_v32uint16 (v32acc64 acc, int shft)
v32uint16 | srs_to_v32uint16_conf (v32acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v16cint16 | srs_to_v16cint16 (v16cacc64 acc, int shft)
v16cint16 | srs_to_v16cint16_conf (v16cacc64 acc, int shft, crsat_t sat, crrnd_t rnd)

## Shift/round/saturate 64-bit accumulator to 32-bit vector
shft parameter is in the range of -4 to 59
v16int32 | to_v16int32 (v16acc64 acc, int shft)
v16int32 | to_v16int32_conf (v16acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v16uint32 | to_v16uint32 (v16acc64 acc, int shft)
v16uint32 | to_v16uint32_conf (v16acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v8cint32 | to_v8cint32 (v8cacc64 acc, int shft)
v8cint32 | to_v8cint32_conf (v8cacc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v8int32 | to_v8int32 (v8acc64 acc, int shft)
v8int32 | to_v8int32_conf (v8acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v8uint32 | to_v8uint32 (v8acc64 acc, int shft)
v8uint32 | to_v8uint32_conf (v8acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v4cint32 | to_v4cint32 (v4cacc64 acc, int shft)
v4cint32 | to_v4cint32_conf (v4cacc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v16int32 | srs_to_v16int32 (v16acc64 acc, int shft)
v16int32 | srs_to_v16int32_conf (v16acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v16uint32 | srs_to_v16uint32 (v16acc64 acc, int shft)
v16uint32 | srs_to_v16uint32_conf (v16acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v8cint32 | srs_to_v8cint32 (v8cacc64 acc, int shft)
v8cint32 | srs_to_v8cint32_conf (v8cacc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v8int32 | srs_to_v8int32 (v8acc64 acc, int shft)
v8int32 | srs_to_v8int32_conf (v8acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v8uint32 | srs_to_v8uint32 (v8acc64 acc, int shft)
v8uint32 | srs_to_v8uint32_conf (v8acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v4cint32 | srs_to_v4cint32 (v4cacc64 acc, int shft)
v4cint32 | srs_to_v4cint32_conf (v4cacc64 acc, int shft, crsat_t sat, crrnd_t rnd)

## Detailed Description

## Function Documentation

## ◆ srs_to_v16cint16() [1/2]

v16cint16 srs_to_v16cint16 | ( | v16cacc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16cint16 ()' is deprecated. Please use 'to_v16cint16 ()' instead.

## ◆ srs_to_v16cint16() [2/2]

v16cint16 srs_to_v16cint16 | ( | v16cacc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16cint16 ()' is deprecated. Please use 'to_v16cint16 ()' instead.

## ◆ srs_to_v16cint16_conf() [1/2]

v16cint16 srs_to_v16cint16_conf | ( | v16cacc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16cint16 ()' is deprecated. Please use 'to_v16cint16 ()' instead.

## ◆ srs_to_v16cint16_conf() [2/2]

v16cint16 srs_to_v16cint16_conf | ( | v16cacc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16cint16 ()' is deprecated. Please use 'to_v16cint16 ()' instead.

## ◆ srs_to_v16int16() [1/4]

v16int16 srs_to_v16int16 | ( | v16acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16int16 ()' is deprecated. Please use 'to_v16int16 ()' instead.

## ◆ srs_to_v16int16() [2/4]

v16int16 srs_to_v16int16 | ( | v16acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16int16 ()' is deprecated. Please use 'to_v16int16 ()' instead.

## ◆ srs_to_v16int16() [3/4]

v16int16 srs_to_v16int16 | ( | v16acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16int16 ()' is deprecated. Please use 'to_v16int16 ()' instead.

## ◆ srs_to_v16int16() [4/4]

v16int16 srs_to_v16int16 | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16int16 ()' is deprecated. Please use 'to_v16int16 ()' instead.

## ◆ srs_to_v16int16_conf() [1/4]

v16int16 srs_to_v16int16_conf | ( | v16acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16int16 ()' is deprecated. Please use 'to_v16int16 ()' instead.

## ◆ srs_to_v16int16_conf() [2/4]

v16int16 srs_to_v16int16_conf | ( | v16acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16int16 ()' is deprecated. Please use 'to_v16int16 ()' instead.

## ◆ srs_to_v16int16_conf() [3/4]

v16int16 srs_to_v16int16_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16int16 ()' is deprecated. Please use 'to_v16int16 ()' instead.

## ◆ srs_to_v16int16_conf() [4/4]

v16int16 srs_to_v16int16_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16int16 ()' is deprecated. Please use 'to_v16int16 ()' instead.

## ◆ srs_to_v16int32() [1/2]

v16int32 srs_to_v16int32 | ( | v16acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16int32 ()' is deprecated. Please use 'to_v16int32 ()' instead.

## ◆ srs_to_v16int32() [2/2]

v16int32 srs_to_v16int32 | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16int32 ()' is deprecated. Please use 'to_v16int32 ()' instead.

## ◆ srs_to_v16int32_conf() [1/2]

v16int32 srs_to_v16int32_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16int32 ()' is deprecated. Please use 'to_v16int32 ()' instead.

## ◆ srs_to_v16int32_conf() [2/2]

v16int32 srs_to_v16int32_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16int32 ()' is deprecated. Please use 'to_v16int32 ()' instead.

## ◆ srs_to_v16uint16() [1/4]

v16uint16 srs_to_v16uint16 | ( | v16acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16uint16 ()' is deprecated. Please use 'to_v16uint16 ()' instead.

## ◆ srs_to_v16uint16() [2/4]

v16uint16 srs_to_v16uint16 | ( | v16acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16uint16 ()' is deprecated. Please use 'to_v16uint16 ()' instead.

## ◆ srs_to_v16uint16() [3/4]

v16uint16 srs_to_v16uint16 | ( | v16acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16uint16 ()' is deprecated. Please use 'to_v16uint16 ()' instead.

## ◆ srs_to_v16uint16() [4/4]

v16uint16 srs_to_v16uint16 | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16uint16 ()' is deprecated. Please use 'to_v16uint16 ()' instead.

## ◆ srs_to_v16uint16_conf() [1/4]

v16uint16 srs_to_v16uint16_conf | ( | v16acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16uint16 ()' is deprecated. Please use 'to_v16uint16 ()' instead.

## ◆ srs_to_v16uint16_conf() [2/4]

v16uint16 srs_to_v16uint16_conf | ( | v16acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16uint16 ()' is deprecated. Please use 'to_v16uint16 ()' instead.

## ◆ srs_to_v16uint16_conf() [3/4]

v16uint16 srs_to_v16uint16_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16uint16 ()' is deprecated. Please use 'to_v16uint16 ()' instead.

## ◆ srs_to_v16uint16_conf() [4/4]

v16uint16 srs_to_v16uint16_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16uint16 ()' is deprecated. Please use 'to_v16uint16 ()' instead.

## ◆ srs_to_v16uint32() [1/2]

v16uint32 srs_to_v16uint32 | ( | v16acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16uint32 ()' is deprecated. Please use 'to_v16uint32 ()' instead.

## ◆ srs_to_v16uint32() [2/2]

v16uint32 srs_to_v16uint32 | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16uint32 ()' is deprecated. Please use 'to_v16uint32 ()' instead.

## ◆ srs_to_v16uint32_conf() [1/2]

v16uint32 srs_to_v16uint32_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16uint32 ()' is deprecated. Please use 'to_v16uint32 ()' instead.

## ◆ srs_to_v16uint32_conf() [2/2]

v16uint32 srs_to_v16uint32_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v16uint32 ()' is deprecated. Please use 'to_v16uint32 ()' instead.

## ◆ srs_to_v32int16() [1/4]

v32int16 srs_to_v32int16 | ( | v32acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32int16 ()' is deprecated. Please use 'to_v32int16 ()' instead.

## ◆ srs_to_v32int16() [2/4]

v32int16 srs_to_v32int16 | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32int16 ()' is deprecated. Please use 'to_v32int16 ()' instead.

## ◆ srs_to_v32int16() [3/4]

v32int16 srs_to_v32int16 | ( | v32acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32int16 ()' is deprecated. Please use 'to_v32int16 ()' instead.

## ◆ srs_to_v32int16() [4/4]

v32int16 srs_to_v32int16 | ( | v32acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32int16 ()' is deprecated. Please use 'to_v32int16 ()' instead.

## ◆ srs_to_v32int16_conf() [1/4]

v32int16 srs_to_v32int16_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32int16 ()' is deprecated. Please use 'to_v32int16 ()' instead.

## ◆ srs_to_v32int16_conf() [2/4]

v32int16 srs_to_v32int16_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32int16 ()' is deprecated. Please use 'to_v32int16 ()' instead.

## ◆ srs_to_v32int16_conf() [3/4]

v32int16 srs_to_v32int16_conf | ( | v32acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32int16 ()' is deprecated. Please use 'to_v32int16 ()' instead.

## ◆ srs_to_v32int16_conf() [4/4]

v32int16 srs_to_v32int16_conf | ( | v32acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32int16 ()' is deprecated. Please use 'to_v32int16 ()' instead.

## ◆ srs_to_v32int8() [1/2]

v32int8 srs_to_v32int8 | ( | v32acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32int8 ()' is deprecated. Please use 'to_v32int8 ()' instead.

## ◆ srs_to_v32int8() [2/2]

v32int8 srs_to_v32int8 | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32int8 ()' is deprecated. Please use 'to_v32int8 ()' instead.

## ◆ srs_to_v32int8_conf() [1/2]

v32int8 srs_to_v32int8_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32int8 ()' is deprecated. Please use 'to_v32int8 ()' instead.

## ◆ srs_to_v32int8_conf() [2/2]

v32int8 srs_to_v32int8_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32int8 ()' is deprecated. Please use 'to_v32int8 ()' instead.

## ◆ srs_to_v32uint16() [1/4]

v32uint16 srs_to_v32uint16 | ( | v32acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32uint16 ()' is deprecated. Please use 'to_v32uint16 ()' instead.

## ◆ srs_to_v32uint16() [2/4]

v32uint16 srs_to_v32uint16 | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32uint16 ()' is deprecated. Please use 'to_v32uint16 ()' instead.

## ◆ srs_to_v32uint16() [3/4]

v32uint16 srs_to_v32uint16 | ( | v32acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32uint16 ()' is deprecated. Please use 'to_v32uint16 ()' instead.

## ◆ srs_to_v32uint16() [4/4]

v32uint16 srs_to_v32uint16 | ( | v32acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32uint16 ()' is deprecated. Please use 'to_v32uint16 ()' instead.

## ◆ srs_to_v32uint16_conf() [1/4]

v32uint16 srs_to_v32uint16_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32uint16 ()' is deprecated. Please use 'to_v32uint16 ()' instead.

## ◆ srs_to_v32uint16_conf() [2/4]

v32uint16 srs_to_v32uint16_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32uint16 ()' is deprecated. Please use 'to_v32uint16 ()' instead.

## ◆ srs_to_v32uint16_conf() [3/4]

v32uint16 srs_to_v32uint16_conf | ( | v32acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32uint16 ()' is deprecated. Please use 'to_v32uint16 ()' instead.

## ◆ srs_to_v32uint16_conf() [4/4]

v32uint16 srs_to_v32uint16_conf | ( | v32acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32uint16 ()' is deprecated. Please use 'to_v32uint16 ()' instead.

## ◆ srs_to_v32uint8() [1/2]

v32uint8 srs_to_v32uint8 | ( | v32acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32uint8 ()' is deprecated. Please use 'to_v32uint8 ()' instead.

## ◆ srs_to_v32uint8() [2/2]

v32uint8 srs_to_v32uint8 | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32Uint8 ()' is deprecated. Please use 'to_v32uint8 ()' instead.

## ◆ srs_to_v32uint8_conf() [1/2]

v32uint8 srs_to_v32uint8_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32uint8 ()' is deprecated. Please use 'to_v32uint8 ()' instead.

## ◆ srs_to_v32uint8_conf() [2/2]

v32uint8 srs_to_v32uint8_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v32Uint8 ()' is deprecated. Please use 'to_v32uint8 ()' instead.

## ◆ srs_to_v4cint32() [1/2]

v4cint32 srs_to_v4cint32 | ( | v4cacc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v4cint32 ()' is deprecated. Please use 'to_v4cint32 ()' instead.

## ◆ srs_to_v4cint32() [2/2]

v4cint32 srs_to_v4cint32 | ( | v4cacc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v4cint32 ()' is deprecated. Please use 'to_v4cint32 ()' instead.

## ◆ srs_to_v4cint32_conf() [1/2]

v4cint32 srs_to_v4cint32_conf | ( | v4cacc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v4cint32 ()' is deprecated. Please use 'to_v4cint32 ()' instead.

## ◆ srs_to_v4cint32_conf() [2/2]

v4cint32 srs_to_v4cint32_conf | ( | v4cacc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v4cint32 ()' is deprecated. Please use 'to_v4cint32 ()' instead.

## ◆ srs_to_v64int8() [1/2]

v64int8 srs_to_v64int8 | ( | v64acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v64int8 ()' is deprecated. Please use 'to_v64int8 ()' instead.

## ◆ srs_to_v64int8() [2/2]

v64int8 srs_to_v64int8 | ( | v64acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v64int8 ()' is deprecated. Please use 'to_v64int8 ()' instead.

## ◆ srs_to_v64int8_conf() [1/2]

v64int8 srs_to_v64int8_conf | ( | v64acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v64int8 ()' is deprecated. Please use 'to_v64int8 ()' instead.

## ◆ srs_to_v64int8_conf() [2/2]

v64int8 srs_to_v64int8_conf | ( | v64acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v64int8 ()' is deprecated. Please use 'to_v64int8 ()' instead.

## ◆ srs_to_v64uint8() [1/2]

v64uint8 srs_to_v64uint8 | ( | v64acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v64uint8 ()' is deprecated. Please use 'to_v64uint8 ()' instead.

## ◆ srs_to_v64uint8() [2/2]

v64uint8 srs_to_v64uint8 | ( | v64acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v64uint8 ()' is deprecated. Please use 'to_v64uint8 ()' instead.

## ◆ srs_to_v64uint8_conf() [1/2]

v64uint8 srs_to_v64uint8_conf | ( | v64acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v64uint8 ()' is deprecated. Please use 'to_v64uint8 ()' instead.

## ◆ srs_to_v64uint8_conf() [2/2]

v64uint8 srs_to_v64uint8_conf | ( | v64acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v64uint8 ()' is deprecated. Please use 'to_v64uint8 ()' instead.

## ◆ srs_to_v8cint16() [1/2]

v8cint16 srs_to_v8cint16 | ( | v8cacc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v8cint16 ()' is deprecated. Please use 'to_v8cint16 ()' instead.

## ◆ srs_to_v8cint16() [2/2]

v8cint16 srs_to_v8cint16 | ( | v8cacc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v8cint16 ()' is deprecated. Please use 'to_v8cint16 ()' instead.

## ◆ srs_to_v8cint16_conf() [1/2]

v8cint16 srs_to_v8cint16_conf | ( | v8cacc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v8cint16 ()' is deprecated. Please use 'to_v8cint16 ()' instead.

## ◆ srs_to_v8cint16_conf() [2/2]

v8cint16 srs_to_v8cint16_conf | ( | v8cacc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v8cint16 ()' is deprecated. Please use 'to_v8cint16 ()' instead.

## ◆ srs_to_v8cint32() [1/2]

v8cint32 srs_to_v8cint32 | ( | v8cacc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v8cint32 ()' is deprecated. Please use 'to_v8cint32 ()' instead.

## ◆ srs_to_v8cint32() [2/2]

v8cint32 srs_to_v8cint32 | ( | v8cacc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v8cint32 ()' is deprecated. Please use 'to_v8cint32 ()' instead.

## ◆ srs_to_v8cint32_conf() [1/2]

v8cint32 srs_to_v8cint32_conf | ( | v8cacc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v8cint32 ()' is deprecated. Please use 'to_v8cint32 ()' instead.

## ◆ srs_to_v8cint32_conf() [2/2]

v8cint32 srs_to_v8cint32_conf | ( | v8cacc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v8cint32 ()' is deprecated. Please use 'to_v8cint32 ()' instead.

## ◆ srs_to_v8int32() [1/2]

v8int32 srs_to_v8int32 | ( | v8acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v8int32 ()' is deprecated. Please use 'to_v8int32 ()' instead.

## ◆ srs_to_v8int32() [2/2]

v8int32 srs_to_v8int32 | ( | v8acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v8int32 ()' is deprecated. Please use 'to_v8int32 ()' instead.

## ◆ srs_to_v8int32_conf() [1/2]

v8int32 srs_to_v8int32_conf | ( | v8acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v8int32 ()' is deprecated. Please use 'to_v8int32 ()' instead.

## ◆ srs_to_v8int32_conf() [2/2]

v8int32 srs_to_v8int32_conf | ( | v8acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v8int32 ()' is deprecated. Please use 'to_v8int32 ()' instead.

## ◆ srs_to_v8uint32() [1/2]

v8uint32 srs_to_v8uint32 | ( | v8acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v8uint32 ()' is deprecated. Please use 'to_v8uint32 ()' instead.

## ◆ srs_to_v8uint32() [2/2]

v8uint32 srs_to_v8uint32 | ( | v8acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v8uint32 ()' is deprecated. Please use 'to_v8uint32 ()' instead.

## ◆ srs_to_v8uint32_conf() [1/2]

v8uint32 srs_to_v8uint32_conf | ( | v8acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v8uint32 ()' is deprecated. Please use 'to_v8uint32 ()' instead.

## ◆ srs_to_v8uint32_conf() [2/2]

v8uint32 srs_to_v8uint32_conf | ( | v8acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

Deprecated
  Function 'srs_to_v8uint32 ()' is deprecated. Please use 'to_v8uint32 ()' instead.

## ◆ to_v16cint16() [1/2]

v16cint16 to_v16cint16 | ( | v16cacc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ to_v16cint16() [2/2]

v16cint16 to_v16cint16 | ( | v16cacc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ to_v16cint16_conf() [1/2]

v16cint16 to_v16cint16_conf | ( | v16cacc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v16cint16_conf() [2/2]

v16cint16 to_v16cint16_conf | ( | v16cacc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v16int16() [1/4]

v16int16 to_v16int16 | ( | v16acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ to_v16int16() [2/4]

v16int16 to_v16int16 | ( | v16acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ to_v16int16() [3/4]

v16int16 to_v16int16 | ( | v16acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ to_v16int16() [4/4]

v16int16 to_v16int16 | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ to_v16int16_conf() [1/4]

v16int16 to_v16int16_conf | ( | v16acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v16int16_conf() [2/4]

v16int16 to_v16int16_conf | ( | v16acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v16int16_conf() [3/4]

v16int16 to_v16int16_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v16int16_conf() [4/4]

v16int16 to_v16int16_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v16int32() [1/2]

v16int32 to_v16int32 | ( | v16acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ to_v16int32() [2/2]

v16int32 to_v16int32 | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ to_v16int32_conf() [1/2]

v16int32 to_v16int32_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v16int32_conf() [2/2]

v16int32 to_v16int32_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v16uint16() [1/4]

v16uint16 to_v16uint16 | ( | v16acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ to_v16uint16() [2/4]

v16uint16 to_v16uint16 | ( | v16acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ to_v16uint16() [3/4]

v16uint16 to_v16uint16 | ( | v16acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ to_v16uint16() [4/4]

v16uint16 to_v16uint16 | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ to_v16uint16_conf() [1/4]

v16uint16 to_v16uint16_conf | ( | v16acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v16uint16_conf() [2/4]

v16uint16 to_v16uint16_conf | ( | v16acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v16uint16_conf() [3/4]

v16uint16 to_v16uint16_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v16uint16_conf() [4/4]

v16uint16 to_v16uint16_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v16uint32() [1/2]

v16uint32 to_v16uint32 | ( | v16acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ to_v16uint32() [2/2]

v16uint32 to_v16uint32 | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ to_v16uint32_conf() [1/2]

v16uint32 to_v16uint32_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v16uint32_conf() [2/2]

v16uint32 to_v16uint32_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v32int16() [1/4]

v32int16 to_v32int16 | ( | v32acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ to_v32int16() [2/4]

v32int16 to_v32int16 | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ to_v32int16() [3/4]

v32int16 to_v32int16 | ( | v32acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ to_v32int16() [4/4]

v32int16 to_v32int16 | ( | v32acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ to_v32int16_conf() [1/4]

v32int16 to_v32int16_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v32int16_conf() [2/4]

v32int16 to_v32int16_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v32int16_conf() [3/4]

v32int16 to_v32int16_conf | ( | v32acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v32int16_conf() [4/4]

v32int16 to_v32int16_conf | ( | v32acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v32int8() [1/2]

v32int8 to_v32int8 | ( | v32acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ to_v32int8() [2/2]

v32int8 to_v32int8 | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ to_v32int8_conf() [1/2]

v32int8 to_v32int8_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v32int8_conf() [2/2]

v32int8 to_v32int8_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v32uint16() [1/4]

v32uint16 to_v32uint16 | ( | v32acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ to_v32uint16() [2/4]

v32uint16 to_v32uint16 | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ to_v32uint16() [3/4]

v32uint16 to_v32uint16 | ( | v32acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ to_v32uint16() [4/4]

v32uint16 to_v32uint16 | ( | v32acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ to_v32uint16_conf() [1/4]

v32uint16 to_v32uint16_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v32uint16_conf() [2/4]

v32uint16 to_v32uint16_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v32uint16_conf() [3/4]

v32uint16 to_v32uint16_conf | ( | v32acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v32uint16_conf() [4/4]

v32uint16 to_v32uint16_conf | ( | v32acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v32uint8() [1/2]

v32uint8 to_v32uint8 | ( | v32acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ to_v32uint8() [2/2]

v32uint8 to_v32uint8 | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ to_v32uint8_conf() [1/2]

v32uint8 to_v32uint8_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v32uint8_conf() [2/2]

v32uint8 to_v32uint8_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v4cint32() [1/2]

v4cint32 to_v4cint32 | ( | v4cacc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ to_v4cint32() [2/2]

v4cint32 to_v4cint32 | ( | v4cacc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ to_v4cint32_conf() [1/2]

v4cint32 to_v4cint32_conf | ( | v4cacc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v4cint32_conf() [2/2]

v4cint32 to_v4cint32_conf | ( | v4cacc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v64int8() [1/2]

v64int8 to_v64int8 | ( | v64acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ to_v64int8() [2/2]

v64int8 to_v64int8 | ( | v64acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ to_v64int8_conf() [1/2]

v64int8 to_v64int8_conf | ( | v64acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v64int8_conf() [2/2]

v64int8 to_v64int8_conf | ( | v64acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v64uint8() [1/2]

v64uint8 to_v64uint8 | ( | v64acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ to_v64uint8() [2/2]

v64uint8 to_v64uint8 | ( | v64acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ to_v64uint8_conf() [1/2]

v64uint8 to_v64uint8_conf | ( | v64acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v64uint8_conf() [2/2]

v64uint8 to_v64uint8_conf | ( | v64acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v8cint16() [1/2]

v8cint16 to_v8cint16 | ( | v8cacc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ to_v8cint16() [2/2]

v8cint16 to_v8cint16 | ( | v8cacc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ to_v8cint16_conf() [1/2]

v8cint16 to_v8cint16_conf | ( | v8cacc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v8cint16_conf() [2/2]

v8cint16 to_v8cint16_conf | ( | v8cacc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v8cint32() [1/2]

v8cint32 to_v8cint32 | ( | v8cacc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ to_v8cint32() [2/2]

v8cint32 to_v8cint32 | ( | v8cacc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ to_v8cint32_conf() [1/2]

v8cint32 to_v8cint32_conf | ( | v8cacc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v8cint32_conf() [2/2]

v8cint32 to_v8cint32_conf | ( | v8cacc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v8int32() [1/2]

v8int32 to_v8int32 | ( | v8acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ to_v8int32() [2/2]

v8int32 to_v8int32 | ( | v8acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ to_v8int32_conf() [1/2]

v8int32 to_v8int32_conf | ( | v8acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v8int32_conf() [2/2]

v8int32 to_v8int32_conf | ( | v8acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v8uint32() [1/2]

v8uint32 to_v8uint32 | ( | v8acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ to_v8uint32() [2/2]

v8uint32 to_v8uint32 | ( | v8acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ to_v8uint32_conf() [1/2]

v8uint32 to_v8uint32_conf | ( | v8acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ to_v8uint32_conf() [2/2]

v8uint32 to_v8uint32_conf | ( | v8acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation